PaidGoods
API referenceAffiliates

Affiliate programme settings

GET
/v1/stores/{storeId}/affiliates/settings

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/affiliates/settings"
{  "enabled": true,  "enrollmentMode": "manual",  "codeEditable": true,  "attributionMode": "per_order",  "attributionWindowDays": -9007199254740991,  "minOrderMinor": -9007199254740991,  "maxCommissionMinor": -9007199254740991,  "thresholdCurrency": "string",  "balanceMode": "shared",  "transferEnabled": true,  "payoutsEnabled": true,  "payoutMinMinor": -9007199254740991,  "payoutInstructions": "string",  "applicationQuestion": "string",  "referralBaseUrl": "string"}